Groovy 1.7.0

## org.codehaus.groovy.runtime.metaclass
Class MetaMethodIndex.Entry

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.Entry

    class MetaMethodIndex.Entry

Field Summary
`CacheEntry` | `cachedMethod`
`CacheEntry` | `cachedMethodForSuper`
`CacheEntry` | `cachedStaticMethod`
`Class` | `cls`
`int` | `hash`
`Object` | `methods`
`Object` | `methodsForSuper`
`String` | `name`
`Entry` | `nextClassEntry`
`Entry` | `nextHashEntry`
`Object` | `staticMethods`

Constructor Summary
`MetaMethodIndex.Entry()`

Method Summary
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### cachedMethod

    CacheEntry cachedMethod

### cachedMethodForSuper

    CacheEntry cachedMethodForSuper

### cachedStaticMethod

    CacheEntry cachedStaticMethod

### cls

    Class cls

### hash

    int hash

### methods

    Object methods

### methodsForSuper

    Object methodsForSuper

### name

    String name

### nextClassEntry

    Entry nextClassEntry

### nextHashEntry

    Entry nextHashEntry

### staticMethods

    Object staticMethods

Constructor Detail

### MetaMethodIndex.Entry

    MetaMethodIndex.Entry()

Method Detail

### toString

    public String toString()

Copyright © 2003-2009 The Codehaus. All rights reserved.